hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Purtell (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-10601) Upgrade hadoop to 2.3.0 release
Date Sun, 02 Mar 2014 09:59:19 GMT

    [ https://issues.apache.org/jira/browse/HBASE-10601?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13917348#comment-13917348
] 

Andrew Purtell commented on HBASE-10601:
----------------------------------------

bq. Can we do this without profiles? If we can compile trunk/0.98/0.96 with just providing
-Dhadoop.version=2.3.0 that will be simpler. I do not want to end up with profiles for 2.2,
2.3, 2.4, etc if they are all source compatible.

Makes sense, I can build 0.98 successfully with alternate Hadoop 2 versions by defining hadoop.version
and hadoop-two.version. I believe only the latter is needed but I define both for good measure.
Up to and including 2.4.0-SNAPSHOT seem to work fine.


> Upgrade hadoop to 2.3.0 release
> -------------------------------
>
>                 Key: HBASE-10601
>                 URL: https://issues.apache.org/jira/browse/HBASE-10601
>             Project: HBase
>          Issue Type: Task
>            Reporter: Ted Yu
>            Assignee: Ted Yu
>             Fix For: 0.99.0
>
>         Attachments: 0.98-hadoop-2.3.out, 10601-0.94.txt, 10601-0.98-v2.txt, 10601-0.98.txt,
10601-v1.txt
>
>
> Apache Hadoop 2.3.0 has been released.
> This issue is to upgrade hadoop dependency to 2.3.0



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message